LLVM::DIFlags - Crystal 1.8.2

# enum LLVM::DIFlags

##
Defined in:

llvm/enums.cr

##
Enum Members

Zero = `0_u32`
Private = `1_u32`
Protected = `2_u32`
Public = `3_u32`
FwdDecl = `4_u32`
AppleBlock = `8_u32`
BlockByrefStruct = `16_u32`
Virtual = `32_u32`
Artificial = `64_u32`
Explicit = `128_u32`
Prototyped = `256_u32`
ObjcClassComplete = `512_u32`
ObjectPointer = `1024_u32`
Vector = `2048_u32`
StaticMember = `4096_u32`
LValueReference = `8192_u32`
RValueReference = `16384_u32`
ExternalTypeRef = `32768_u32`
SingleInheritance = `65536_u32`
MultipleInheritance = `131072_u32`
VirtualInheritance = `196608_u32`
IntroducedVirtual = `262144_u32`
BitField = `524288_u32`
NoReturn = `1048576_u32`
MainSubprogram = `2097152_u32`
PassByValue = `4194304_u32`
TypePassByReference = `8388608_u32`
EnumClass = `16777216_u32`
Thunk = `33554432_u32`
NonTrivial = `67108864_u32`
BigEndian = `134217728_u32`
LittleEndian = `268435456_u32`

##
Instance Method Summary

- #apple_block?
- #artificial?
- #big_endian?
- #bit_field?
- #block_byref_struct?
- #enum_class?
- #explicit?
- #external_type_ref?
- #fwd_decl?
- #introduced_virtual?
- #l_value_reference?
- #little_endian?
- #main_subprogram?
- #multiple_inheritance?
- #no_return?
- #non_trivial?
- #objc_class_complete?
- #object_pointer?
- #pass_by_value?
- #private?
- #protected?
- #prototyped?
- #public?
- #r_value_reference?
- #single_inheritance?
- #static_member?
- #thunk?
- #type_pass_by_reference?
- #vector?
- #virtual?
- #virtual_inheritance?
- #zero?

### Instance methods inherited from struct `Enum`

&(other : self) : self &, +(other : Int) : self +, -(other : Int) : self -, <=>(other : self) <=>, ==(other : self)
==(other) ==, ^(other : self) : self ^, |(other : self) : self |, ~ : self ~, clone clone, each(& : self -> ) each, hash(hasher) hash, includes?(other : self) : Bool includes?, inspect(io : IO) : Nil inspect, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, value : Int value

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(value : self)
new(pull : JSON::PullParser) new, parse(string : String) : self parse

### Class methods inherited from struct `Enum`

each(& : self -> ) each, from_value?(value : Int) : self | Nil from_value?, names : Array(String) names, parse?(string : String) : self | Nil parse?, valid?(value : self) : Bool valid?, values : Array(self) values

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) : Bool <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) : Bool >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Instance Method Detail

def apple_block? #
def artificial? #
def big_endian? #
def bit_field? #
def block_byref_struct? #
def enum_class? #
def explicit? #
def external_type_ref? #
def fwd_decl? #
def introduced_virtual? #
def l_value_reference? #
def little_endian? #
def main_subprogram? #
def multiple_inheritance? #
def no_return? #
def non_trivial? #
def objc_class_complete? #
def object_pointer? #
def pass_by_value? #
def private? #
def protected? #
def prototyped? #
def public? #
def r_value_reference? #
def single_inheritance? #
def static_member? #
def thunk? #
def type_pass_by_reference? #
def vector? #
def virtual? #
def virtual_inheritance? #
def zero? #